dan200.computercraft.api.redstone

## Interface IBundledRedstoneProvider

    public interface IBundledRedstoneProvider

This interface is used to provide bundled redstone output for blocks

See Also:
  `ComputerCraftAPI.registerBundledRedstoneProvider(IBundledRedstoneProvider)`

### Method Summary

Methods
`int` `getBundledRedstoneOutput(World world, int x, int y, int z, int side)` Produce an bundled redstone output from a block location.

### Method Detail

#### getBundledRedstoneOutput

    int getBundledRedstoneOutput(World world,
                               int x,
                               int y,
                               int z,
                               int side)

Produce an bundled redstone output from a block location.

Returns:
  a number in the range 0-65535 to indicate this block is providing output, or -1 if you do not wish to handle this block
See Also:
  `ComputerCraftAPI.registerBundledRedstoneProvider(IBundledRedstoneProvider)`